import java.awt.*;
import java.awt.event.*;
import java.applet.*;
// import XPath;
// import SimpleNode;
// import ParseException;
import java.io.*;

public class ParseBAL implements java.awt.event.ActionListener
{
  XPathApplet _myApplet;

  public ParseBAL(XPathApplet applet)
  {
    _myApplet = applet;
  }
 
	public void actionPerformed(ActionEvent e) {
         _myApplet.button1_action(e);
  }
}
